stages:
    - build
    - deploy

develop-build:
    image: docker:latest
    stage: build
    only:
        - develop
    services:
        - docker:dind
    before_script:
        - docker login -u $CI_DOCKER_USERNAME -p $CI_DOCKER_PASSWORD
    script:
        - docker build . -t demo-tailwind -f Dockerfile
        - docker tag demo-tailwind 123456nhat/demo-tailwind:0.0.1
        - docker push 123456nhat/demo-tailwind:0.0.1
        - echo "push success"

develop-deploy:
    image: ubuntu:latest
    stage: deploy
    only:
        - develop
    before_script:
        - apt-get update -qq && apt-get install -y -qq sshpass
    script:
        - sshpass -V
        - export SSHPASS=$CI_USER_PASS
        - sshpass -e ssh -tt -o StrictHostKeyChecking=no $CI_USERNAME@$CI_USER_HOST docker container stop demo-tailwind
        - sshpass -e ssh -tt -o StrictHostKeyChecking=no $CI_USERNAME@$CI_USER_HOST docker rm demo-tailwind
        - sshpass -e ssh -tt -o StrictHostKeyChecking=no $CI_USERNAME@$CI_USER_HOST docker rmi 123456nhat/demo-tailwind:0.0.1
        - sshpass -e ssh -tt -o StrictHostKeyChecking=no $CI_USERNAME@$CI_USER_HOST docker run -d -p 4000:4000 --name demo-tailwind 123456nhat/demo-tailwind:0.0.1


